%define _prefix /opt/freeware
%define _defaultdocdir %{_prefix}/doc
%define atk_version 1.4.0
%define gtk2_version 2.2.4
%define libgnomeui_version 2.4.0.1
%define at_spi_version 1.3.7

Name: 		libgail-gnome
Version: 	1.0.2
Release: 	2
Summary: 	Gnome accessibility interface library
Copyright: 	LGPL
Group: 		Gnome/Libraries
BuildRoot: 	%{_topdir}/BUILDROOT/%{name}-%{version}
Source: 	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2

Patch0:		libgail-gnome-1.0.2-autotools.patch

Requires: atk >= %{atk_version}
Requires: gtk2 >= %{gtk2_version}
Requires: libgnomeui >= %{libgnomeui_version}
Requires: at-spi >= %{at_spi_version}
                                                                              
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: atk-devel >= %{atk_version}
BuildRequires: libgnomeui-devel >= %{libgnomeui_version}
BuildRequires: at-spi-devel >= %{at_spi_version}

%description
gail is the gnome accesibility interface library.

%prep
%setup -q

if test x$PATCH = x ; then
  PATCH=patch ;
fi
$PATCH -p2 -s < %{_sourcedir}/libgail-gnome-1.0.2-autotools.patch


%build
PATH=%{_bindir}:$PATH ./configure --prefix=%{_prefix}
make

%install
if test "%{buildroot}" != "/"; then
	rm -rf %{buildroot}
fi
mkdir -p %{buildroot}
make DESTDIR=%{buildroot} install-strip

%files
%defattr(-, root, system)
%doc AUTHORS ChangeLog NEWS README COPYING*
%{_libdir}/gtk-2.0/modules/*.a
%{_libdir}/gtk-2.0/modules/*.la
%{_libdir}/pkgconfig/*

